[3rd party] Android App

Bug #661166 reported by Martin Weißhaupt on 2010-10-15
236
This bug affects 39 people
Affects Status Importance Assigned to Milestone
Financisto
New
Undecided
Unassigned
HomeBank
Wishlist
Unassigned

Bug Description

Hi,

I just started using HomeBank after evaluating multiple finance programs.
One thing I noticed after inserting all my transactions from the last two months is that if I don't track my expenses regularly I can't really remember where I left some of my money.

So I thought it would be nice to take homebank with you to be able to track the expenses as soon as you spend the money.
I'm currently learning how to write Android applications so I would like to do the mobile part.

I noticed that HomeBank has a feature to export and import csv-files.
I thought about using the dropbox-api (maby the ubuntuone-api later too) to transfer the data from the Android client.
This data should be encrypted with a passphrase.

The HomeBank application should have the option to uncrypt and import from this file and automatically map the transactions to the accounts. This could be done by providing the Name (Or ID if there is any) of the account in the csv-file.

What do you think about this idea?

Maxime DOYEN (mdoyen) wrote :

Nice idea !

We should discuss more about this.
Some quick remarks:
- your project should be open source and free also: like homebank
- csv file must be avoided in preference to QIF file, csv is not appropriate (no multiple account in the same file for example)
- i will help you if nedded (not for android part of course !) bur for qif for example

Changed in homebank:
assignee: nobody → Maxime DOYEN (mdoyen)
importance: Undecided → Medium
status: New → Confirmed
Martin Weißhaupt (mweisshaupt) wrote :

Sorry I was a bit busy recently...

I would release this mobile client as GPL 3 and of course free to everyone. The Android Market costs a one time fee of 25$ so I think that I could afford this and make this application accessible for everyone as soon as its stable enough.

QIF is this format right? http://en.wikipedia.org/wiki/Quicken_Interchange_Format
I will have to learn how to read and write it but this looks pretty easy.

The first step that I would do is to read the file from an sdcard and display its content in the Android application.
Editing and syncing through Dropbox and Ubuntu One should be implemented later.

I'm not shure yet which parts of homebank should be available on Android but I'm shure you don't need to configure automatic transactions and stuff like this on your mobile ;-)

Do you own an Android phone to test this application? Android Emulator would also do...

Don't have what's called a 'modern' phone at the moment, but my next phone is going to be an Android one, and I would find this really useful...

Stefan Eike (stefan.eike) wrote :

I'd be very keen on it.

Simön (cottoneyejoe) wrote :

Hi!
I just came over from the homebank website to file exactly the same wish. I am very happy, that there are also other people wanting the same and it's nice to see that you have some thoughts in a good direction...

Ok, I am not a android developer. But I would like to help on this task. At least I could help you with finding requirements, researching or testing. Maybe also direct with developing...

Will it be a own project or can we host it somehow under the main homebank here on launchpad?

Simon

Simön (cottoneyejoe) wrote :

Ok, I just looked around on the market. Seems as there is already some piece of code going into our direction. A basic one is cash2qif. We could ask the developers if they want to work together with us. If not we still could look at their code. They have a simple UI and QIF export and email functions. It was easy to import that data to homebank for me. And it seems as some others use it to feed gnucash.

http://www.androidzoom.com/android_applications/finance/cash2qif_fdvw.html
http://code.google.com/p/cash2qif/

Ok, what we would really need is an option to export a settings-file or something from homebank to the mobile. That way you would have your accounts and categories configured on the mobile app.
Or did you want to have a complete copy of the database on your mobile? Would make no sense because of bad performance and security issues. But a two-way sync would be great.

Let me draw a usage-scenario:
1. Install HomeBankMobile app on your droid.
2. Export a settings-file (xml, cvs, whatever) on some way from HomeBank on your PC
3. Transfer it to your droid. (Dropbox, UbuntuOne, SDcard, Email whatever)
4. Import the file on the phone. Now you have all your accounts, budget, up-to-date balance. (But not the past transactions!)
5. Collect transactions on your droid on the go.
5. Export the QIF file from HomeBankMobile
6. Transfer it back → see 3.)
7. Import it into HomeBank on the PC.
8. Beginn at → 1.)

Lots of steps, eh? We need to do it as easy as possible to make it usable.
But if we don't have the two-way sync, one would have to type a lot on the mobile and it's no fun to type a lot after every cent you spent. ;-)

Did I forget anything?

pepe (pepespam) wrote :

8. Beginn at → 1.)
why again start at 1) and not 5?
But if you want it easy to use, server-client concept is very must. So homebank on pc will listen on some port and over for instance web service, android client will able to upload new transactions to homebank.

Simön (cottoneyejoe) wrote :

Oh, yes. You're right! Must've been late...

Let me correct it:

1. Install HomeBankMobile app on your droid.
2. Export a settings-file (xml, cvs, whatever) on some way from HomeBank on your PC
3. Transfer it to your droid. (Dropbox, UbuntuOne, SDcard, Email whatever)
4. Import the file on the phone. Now you have all your accounts, budget, up-to-date balance. (But not the past transactions!)
5. Collect transactions on your droid on the go.
6. Export the QIF file from HomeBankMobile
7. Transfer it back → see 3.)
8. Import it into HomeBank on the PC.
9. Beginn at → 2.

Why on 2.? Because then you would have your updated account balance on your phone and can easily see how much money is on your accounts. It is a extra feature besides just collecting data!

Yes, a server-client concept would be cool! But for a first implementation that could be a way. The problem how we sync the data can be solved later.
But running HomeBank as a real server could also make it difficult: Behind a firewall you can't reach it. It has to listen to a port and so data could be read by hackers.
A encrypted automated file-based sync via a common service like UbuntuOne seems saver and easier to me.

Sebastian Martinez (tychocity) wrote :

i needed this !!

Maxime DOYEN (mdoyen) on 2011-01-18
Changed in homebank:
importance: Medium → Wishlist
Daniel (dcfporto) wrote :

Hey man take a look at Financisto: http://financisto.com/ It's opensource!!!
Financisto synchronized with Homebank would be awesome! And easier than design an android app from scratch. keep that in mind :D. congrats for the amazing piece of software.

Maxime DOYEN (mdoyen) wrote :

@daniel, If not already available in financisto, QIF export/import would open sync with HomeBank and most financial app.

Simön (cottoneyejoe) wrote :

I just tried to sync between HomeBank and Financisto. It's not possible at the moment.
 - HomeBank does not recognize the CSV files coming from Financisto.
 - Financisto has no CSV import function.
 - Financisto syncs its database to sd-card or Google Docs. But the db is not in a compatible format.

But Financisto offers a great range of functions that fit well to HomeBank. But there are also some functions in one, that the other one doesn't have.
A good solution would be to add QIF import & export to Financisto or to create a tool to transform a Financisto db to QIF and vice-versa.

OpenID (openidlogin) wrote :

The best way I think is to create HomBank Android! from the beginning :) It is a huge project, but who knows! We can donate it via paypal and it can be "paid" application. 2-3$ for full version and it's ok! :)

Sebastian Martinez (tychocity) wrote :

i have and android phone. Contact me if you need to test.

Maxime DOYEN (mdoyen) on 2011-02-24
Changed in homebank:
status: Confirmed → Triaged
assignee: Maxime Doyen (mdoyen) → nobody

I've tried a lot of (if not all) free and open source finance programs for Android. Financisto seems to be the best of all and it is GPL2!

So Financisto would need some way to sync with Homebank. I'll contact the author of this software if he is interested in cooperating.

I would love to participate in this project and I would happily translate this application into the German language. Building HomeBankMobile from the beginning also sounds best to me. It would ensure 100% compatibilty and a legit reason to pat each others on the shoulder. Please let me know how I can be of help for you guys.

Best regards,
Marian

Maxime DOYEN (mdoyen) wrote :

@ martin: any news from the dev team of financisto ?
I would suggest us what I already said: to implement a QIF import/export feature into their software, so they will be open to most accounting software to exchange datas.

If not I will study the opportunity to implement a droid app myself.

Changed in homebank:
status: Triaged → Confirmed
Xavi Ivars (xavi-ivars) wrote :

Hi! I'm also interested in this possibility.

I've just installed financisto and it looks pretty good. If it were a good connection between HomeBank and Financisto, it would be great!

Evgeny (evgpiun) wrote :

Hello!
I also can say, as a HomeBank (great software, by the way :-)) user, that Android version is really needed.
Maxime, is there any progress in this direction?

Maxime DOYEN (mdoyen) wrote :

Not for the moment.
My new job take me a lot of time, and I only have some little time to code for the non mobile version.

I wish to help with these request. I know how to programming to Android. What is the procedure? I create a fork in some repository and then if's works I ask to merge? I plan to start in meddle December, son as my colleges classes ends.

If someone that know more about the project wish to pass me some development rules, like code style, documentation needed and some kind of that, please stay free.

greg_b (gregory-beloncle) wrote :

I also search for a HomeBank app!

I think too a sync between pc and phone is a must.

I don't know if this can help but why not saving the database to dropbox or ubuntuone and let program on pc and app on android phone access directly to it?

So like this no needs to take care about sync, dropbox or similar does it for us.

Small drawback is that you must not access database from pc and phone at same time! But this should not be a problem.

The big job is to write an app which can read/write database and display info on screen...

Br,
Greg

Hi, I like HomeBank and was using it while developing QIF export in Financisto to validate the output file :) It works fine, so you can export the data from Financisto in qif format and import it into HomeBank. The only issue would be that HomeBank does not support splits, so you'll only see a parent transaction with no category attached.

greg_b (gregory-beloncle) wrote :

HI, yes it works, this is nice but not a real solution when you want to access to your database either from your pc or from your smartphone.

But why not for you to support HomeBank database format for read/write?

Like this both programs could benefit from each other and then you can promote you have a compatible pc/mac/linux program!

What do you think?

If you are compatible with HomeBank database, give a way to access it from dropbox and that's it...

Greg

Greg, that depends. It might be easier for HomeBank to support Financisto's internal format :)

Having the same internal format would only cripple both applications creating unnecessary dependency on each other. Having a common interchange format - that a different story. But it's harder to implement.

greg_b (gregory-beloncle) wrote :

Yes Dennis you are right ;-)

But how to get the use case "manage finance at home or on the way" working?

Am I the only one needed this?

tiberiusteng (tiberiusteng) wrote :

I personally prefer (and do) copying all of my transfers recorded in Financisto, into a desktop GnuCash file, by hand, each week at weekend.

Since Financisto to me is mainly quick-noting, I don't create too complex category tree in it. But I do have very detailed category tree in GnuCash, so copying by hand is necessary, since I often have to re-categorize some transcations, add notes, etc. If there's a sync method, I would be forced to have detail info in Financisto, which is not quite what I want. But it's all a matter of taste and habits, I certainly don't think this usage fits everyone.

BTW, I do quite concerned on Financisto's database structure, since IIRC when it displaying a blotter, it's UNION'ing two SELECTs which doesn't use index well (and the UNION itself require twice table scan and a full sort, indexing doesn't help), and my ~4200 transactions aggregated in ~1.5 yrs would take ~1.5 sec on HTC Sensation to display blotter of an account. I plan to try something radical modifying the db structure in Chinese lunar new year holidays to see if there's any help :p

greg_b (gregory-beloncle) wrote :

Dennis, I just saw that you have integrated dropbox into your app, great feature!

Would it be possible to store exported QIF file also into dropbox?

Like, it is easier to import it into HomeBank :)

Hope you can do it!

Thanks

Alexander (istrasoft) wrote :

I am using ExpenseRegister which is free and I tested it with Homebank, it works perfectly !

https://market.android.com/details?id=pl.tierra.expenseregister

It has a great rating and is updated frequently, supports SD and Mail QIF export. You could maybe contact the developer to offer a collaboration ?

Evgeny (evgpiun) wrote :

Tried to import data from HomeBank to Financisto. Exported it in QIF, then started importing QIF in Financisto. But at the end, unfortunately, got "QIF Import Error" message without any explanations.
Are QIF formats different in this 2 programs?
Is there a way to export CSV from HomeBank (I found only QIF)?
Thanks.

Greg Pal (gregorpal) wrote :

Nice to see I am not alone in my wish, bumping with definite interest, not a developper myself, but definitely monitoring this thread.

ColorWP.com (colorwp.com) wrote :

I would also definitely want to help if such project was started. It is a pain to sync things between a mobile app that does not export in a format, suitable to HomeBank.

Upvote for this idea.

Maxime DOYEN (mdoyen) wrote :

I continue to really really think about this and will probably start a lp project branch for this soon.

Technically it will be C# core code (multi-platform again), uses of monodroid and probably developped with monodevelop and droiddraw for the ui part. I need to have a look at this to ensure cairo lib will be able to draw on Android (not sure it will) or an alternative to draw charts.

Maxime DOYEN (mdoyen) on 2012-10-27
tags: added: os-android
removed: android
Bart Degryse (bart-degryse) wrote :

Really looking forward to an Android version of HomeBank!

Zoubidoo (zoubidoo) wrote :

@Denis Solonenko:
> Hi, I like HomeBank and was using it while developing QIF export in Financisto
> to validate the output file :) It works fine, so you can export the data from
> Financisto in qif format and import it into HomeBank. The only issue would
> be that HomeBank does not support splits, so you'll only see a parent
> transaction with no category attached.

Splits are now supported by homebank. It might be worth trying again.

Onkar Shinde (onkarshinde) wrote :

I am currently using homeback to keep track of some commonly pooled money. I keep sharing the updated xhb file with all people but it seems for them reading it every few days on desktop is too much trouble. :-)
So I am personally interested in Android client even if it is initially only a reader. I also want to lean Android programming so would love to work on the code if someone sets up the basics.

My suggestion is to use something like PhoneGap to create platform independent application (even if it is not native). Let me know what you think.

Maxime DOYEN (mdoyen) on 2012-12-16
summary: - wish : Android Client
+ wish: Android Client

Hey! A few weeks ago I started building a Homebank Mobile App for Android. It is my very first contact with Android programming and the first version(s) will be quite specialized to my needs. But of course I will share the code (when the initial version is complete). I think this will be in 1 or 2 weeks.

One important thing: I built this app in the context of having a .XHB-file on a Dropbox account. At the first startup of the app you have to connect it to dropbox and choose the file. Then you can edit your transactions or add new ones etc. After finishing the editing it is possible to reupload (and replace) the file on dropbox. I'm planning in future versions to use the app without dropbox, too. But as I said, the first version will be specifically for my own needs.

Just a few questions about the XML format Homebank is using. Is there any documentation about the tag attributes of the XML file? Most of them are clear but not all. Where or whom should I ask such specific questions?

Maxime DOYEN (mdoyen) wrote :

I am finishing the 4.5 release (for tomorrow), then I will focus on the Android one.
Good news someone has started something.

What I prupose is that I create a collaborative HomeBank-android project under Launchpad, has I want to be part of it for sure. My though on sharing the same code has broken out since MonoDroid have license cost if I want to deploy to something else than a droid emulator device. I still think about it anyway the license cost at Xamarin is 399$.

So I think there will be no other choice than to write a dedicated Java app for android, even if it's a light one.

@Wolfgang: are you using eclipse and droiddraw ? Something else ?

So now the goal of this thread is to determine which features need to be implemented first !

Wolfgang Moser (lebenlechzer) wrote :

Congratulations for releasing v4.5 :) Always good to see progress!

I'm using eclipse with the newest Android v16-SDK, nothing else.

My first version of the app is already finished. It is very linke to Dropbox. You have to put a .xhb file to your Dropbox account. Then on the first start of the app you will be asked to link it with Dropbox. It's already working and I'm using it every day. Personally I only use a few possible fields for transactions (category, wording, etc.: the most common). All other fields are filled with default values right now. You can submit the changes to Dropbox and Update from Dropbox.

By the way: Maxime, do you have a documentation on the xhb-layout? I don't get the meaning of all attributes of the xml tags.

I put the .apk file on my webspace. There is no version info, no author info etc. so far. I concentrated on making a working app.

You can try it by downloading it from http://web.student.tuwien.ac.at/~e0927207/homebank-mobile/
But be warned! There may be lots of bugs and the app has not much features (yet).

When I have put the license info in the files and made some more testing I will release the source code.

Wolfgang Moser (lebenlechzer) wrote :

What I forgot to say: The app is still in status "under development" on Dropbox. So only up to 5 persons are allowed to "test" the app.

Wolfgang Moser (lebenlechzer) wrote :

One last thing for today: After starting the app for the first time you'll see an empty list of files. Go to Dropbox an put the .xhb file in the new apps/homebank folder. Will fix this tomorrow.

Hi,

I've downloaded the apk but can't install it, neither on my tablet, nor my
phone. I don't get any error message. Is it because of the 5 guys thing ?
Le 16 janv. 2013 22:20, "Wolfgang Moser" <email address hidden> a
écrit :

> One last thing for today: After starting the app for the first time
> you'll see an empty list of files. Go to Dropbox an put the .xhb file in
> the new apps/homebank folder. Will fix this tomorrow.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions
>

Download the version which is now on the server. Upload the .xhb file when the app asks you to upload.

greg_b (gregory-beloncle) wrote :

Hi,

Maxime, it is great if you take care of the Android app by yourself, you are the best person to do it!

To answer your request about features first: from my opinion I don't need the full power of homebank in my smartphone, what I simply need is to add new transactions on the way and see current balance.

But for sure I don't want to have several databases so the smartphone app and the pc app should access the same DB (maybe using dropbox could be an easy way first, even if some of us may complain about giving such info to dropbox!).

What would be useful too it that the android app can manage several accounts, own categories, etc...

Br,
Gregory

I personally only need the ability to add transactions and see a balance.
It can be very hard when I'm away from home for a few days having to
remember everything...

However, I would prefer that it wasn't actually integrated with Dropbox. I
personally use Ubuntu One, and these apps take care of syncing files, just
save or open the file from your filesystem and the Dropbox/Ubuntu One will
do the rest already

On 17 January 2013 16:19, greg_b <email address hidden> wrote:

> Hi,
>
> Maxime, it is great if you take care of the Android app by yourself, you
> are the best person to do it!
>
> To answer your request about features first: from my opinion I don't
> need the full power of homebank in my smartphone, what I simply need is
> to add new transactions on the way and see current balance.
>
> But for sure I don't want to have several databases so the smartphone
> app and the pc app should access the same DB (maybe using dropbox could
> be an easy way first, even if some of us may complain about giving such
> info to dropbox!).
>
> What would be useful too it that the android app can manage several
> accounts, own categories, etc...
>
> Br,
> Gregory
>
> --
> You received this bug notification because you are subscribed to
> HomeBank.
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> Status in Financisto:
> New
> Status in HomeBank:
> Confirmed
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last
> two months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to
> track the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like
> to do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too)
> to transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions
>

Hello all,

I have just created a HomeBank for android projetc: https://launchpad.net/homebank-android
and also a project team

@Wolfgang: you are part of the team, can you upload your code to trunk for me to help on xhb format, and other stuffs !

Wolfgang Moser (lebenlechzer) wrote :

Yep, I will do that at the end of the week after cleaning the code and adding license infos.

Wolfgang Moser (lebenlechzer) wrote :

Sorry for the long delay. Exams have distracted me from uploading my source.

I have now uploaded an initial commit. It's quite a mess. There is still no license info and the code is also not cleaned yet.

Wolfgang Moser (lebenlechzer) wrote :

My code is still quite a mess. In the last months I only adapted it to work with the newest version of Homebank (its file format). Any news from your side, Maxime?

Maxime DOYEN (mdoyen) wrote :

Very busy at work, so didn't had time to review the code yet.
Also focused on v4.5.1 which is released as beta.
Bought a Wiko cink five, so I now have a droid device to test as well.

Also after reading again the comment and request, I think the android app should be mobile oriented, so to me it should simply do the following:

1) enable to read from the cloud or mobile friendly share location
2) add/edit some transaction, see the account summary
3) later, warn on due payement by anticipation

so the goal is the complement HomeBank desktop version, not to port it entirely, which make no sense on a mobile, maybe on a tablet thus.

Edward Maros (pappa-maros) wrote :

I know that I am late to this conversation, but I would like to put in my 2 cents.

I am reviewing MoSync and it looks like it would be a good platform to build the mobile solution for the following reasons:
1) As the goal is an open source solution, there is no additional cost.
2) Allows for development to be either HTML5/Java script and/or C/C++ (I am most familiar with C++)
3) The same source code allows for the creation of multiple native applications (iOS, Android, Blackberry, etc.)

Second, I would like to see the file format for transactions to support some form of modification ID. The truly hard part of this problem is syncronizing changes between the applications. I use the mobile version while on travel while my wife continues to update the desktop version. It is not a simple copy of the latest XML file, but instead a careful merge of the two. Only gets worse if we both modify a historic record.

Thanks for listening.

Yimìr (yimir) wrote :

I to all, I downloaded and tried the HomeBank Mobile App (from here: http://web.student.tuwien.ac.at/~e0927207/homebank-mobile/): apparently it works! I just tried for curiosity (but I really, really would like to have an HomeBank Mobile stable app): I see that it can import my HomeBank pc database, but I'm unsure if try to use it regularly, so, for now, I'm just playing with it. May I ask you how things are about this project? Any chance to get a release (or a beta) soon?
Thanks for listening.

Yimìr (yimir) wrote :

I forgot: my phone is a Nexus 4, 4.4.2 Android version.
Bye

Wolfgang Moser (lebenlechzer) wrote :

Nice to see that there is still interest. I didn't bother with updating the app since the first release as it does the job I need. Maybe I can find more time in spring.

Please add updated on timestamp in the datamodel and a dirty flag and
Financisto will do the job.
Emmanuel Florent
http://www.flowzr.com
On Jan 22, 2014 2:41 PM, "Wolfgang Moser" <email address hidden> wrote:

> Nice to see that there is still interest. I didn't bother with updating
> the app since the first release as it does the job I need. Maybe I can
> find more time in spring.
>
> --
> You received this bug notification because you are subscribed to
> Financisto.
> Matching subscriptions: f-b
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> Status in Financisto:
> New
> Status in HomeBank:
> Confirmed
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last
> two months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to
> track the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like
> to do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too)
> to transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions
>

About the app: is there a way to upload my changes into the smartphone to the dropbox cloud? Because if I add an operation in the smartphone, anytime I press the button Update it overwrite my local copy with cloud copy, and if I press Commit the app crashes.

Wolfgang Moser (lebenlechzer) wrote :

A while ago I updated the app for myself with some small bugfixes. Now the new version is available at the same link. Maybe your problem got fixed too.

Yimìr (yimir) wrote :

It doesn't crash anymore, but if I delete an operation from my smartphone, when I commit the file, from PC I still see it...
Anyway, thank you!

Wolfgang Moser (lebenlechzer) wrote :

I started developing again. I changed to a somewhat more Fragment based application design. Still the app is only designed for usage on phones. Finally I'm implementing support for Google Drive and local saving (additionally to Dropbox). Furthermore I will try to implement a statistics view (like the one on the start screen of Homebank). Should be finished in about 1-2 weeks.

Yimìr (yimir) wrote :

that sounds great, thank you!

Yimìr (yimir) wrote :

Sorry to bother: is there any news? The apk has not been updated since September 21, 2013...

Wolfgang Moser (lebenlechzer) wrote :

Oh yeah man. I couldn't release my changes so far. Despite Google Drive and Dropbox working with their new APIs now, I still have several problems. And again.. my studies and my work consume a lot of time right now. Still very nice that you care. I'm gonna try my best during the next couple of weeks. Maybe I can release a (buggy) version :)

Yimìr (yimir) wrote :

No probs. I was just wondering how things are. Thanks for your work!

Wolfgang Moser (lebenlechzer) wrote :

Okay guys. I have a big exam tomorrow that has been taking all my time. By next week I'll probably have time to look at Homebank Mobile again. So you can expect a new alpha release in the next few weeks.

Yimìr (yimir) wrote :

Good luck for your exam!!

Sveti (vauvenal5) wrote :

Hi Wolfgang!

I am also a student of the TU Vienna. At the time quite busy with my BAC however I probably could find some time to help a bit with the development if interested?

I would quite enjoy to see the possibility for choosing a local file instead of a fixed integration with gDrive and DropBox.

Kind regards,
Sveti

Maxime DOYEN (mdoyen) wrote :

Wolfgang, Guys,

Just remind to say that I have setup a project dedicated to HB for android on launchpad here:
https://launchpad.net/homebank-android

Wolfgang you are admin (I think, otherwise let me know ^^)
The idea would be to host the code here so that everyone (including me !) may help !

So I suggest we all move to this dedicated project for q&a, bug, wish and code hosting and close this HB desktop wish bug.

Thanks,
Maxime.

Wolfgang Moser (lebenlechzer) wrote :

It's been quite a while again. My still early version for Android supports now "local", "dropbox" and "google drive" as storage methods. You can't use many sophisticated features like in the Desktop version. But for primitive usage it should be fine. The processing of the local file is still done on the UI thread... so don't wonder why it looks so laggy and takes quite some time.

Another important note: To use Google Drive you have to go through a weird procedure because an app can only use files that the app itself has created. Therefore you can't just upload an .xhb file to gdrive. You must select "new file" in the file chooser. Then copy the content of your .xhb file to this gdrive file. Then you can press update in the app and it should work. Ask me if you don't understand :)

You can find the buggy, laggy version at http://web.student.tuwien.ac.at/~e0927207/homebank-mobile/

I am not sure if the Google and Dropbox stuff is still configured correctly. Please report if you can access everything.

@Maxime: I will upload all my stuff in the next few days to launchpad.

Wolfgang Moser (lebenlechzer) wrote :

Btw. a German translation has been added and the possibility to add from templates.

Vadko (parabolamail) wrote :
ColorWP.com (colorwp.com) wrote :

@Wolfgang

I am interested in contributing as well, but I can't seem to find the source code for the Android app anywhere. Any chance you could upload it somewhere, e.g. Launchpad or Github as soon as possible so potential contributors, e.g. me, can start improving it as soon as possible?

I understand that it might be laggy and buggy for now, but that's why there is the branching model. We will just work on a devel branch until a stable version is ready for release, to which Maxime can later link to from the website if he likes.

Thanks in advance and thank you for the contribution.

Wolfgang Moser (lebenlechzer) wrote :

Yeah, I'll upload it to launchpad in the next days.

Wolfgang Moser (lebenlechzer) wrote :

I uploaded the code at https://launchpad.net/homebank-android
Feel free to investigate and contribute.

Hi, how to download the apk file?

Makanien

2014-11-21 12:21 GMT+01:00 Wolfgang Moser <email address hidden>:

> I uploaded the code at https://launchpad.net/homebank-android
> Feel free to investigate and contribute.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1190803).
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> Status in Financisto:
> New
> Status in HomeBank:
> Confirmed
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last
> two months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to
> track the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like
> to do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too)
> to transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions
>

Hello guy, thank you very much for the effort. I really appreciate to be able to add transactions on the go with my mobile.

I encourage you to continue working on this, it is really great.

I want to start using this apk already in my mobile. Could you explain a little bit what do the buttons Commit and Update do?

Thanks!!

Ok, I just figured out how the app works, it was pretty straight forward... the problem is that in my Galaxy S5, with Lollipop, the ammount field shows a keyboard that doesn't have the "-" sign so I cannot enter expenses :(

Maxime DOYEN (mdoyen) wrote :

Guys,

Please continue on the android project
https://launchpad.net/homebank-android

Changed in homebank:
status: Confirmed → Fix Released

Hi

When will it be possible to download a version?

Gregory

Le 19 mars 2015 21:46:40 Maxime Doyen <email address hidden> a écrit :

> Guys,
>
> Please continue on the android project
> https://launchpad.net/homebank-android
>
>
> ** Changed in: homebank
> Status: Confirmed => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> Status in Financisto:
> New
> Status in HomeBank:
> Fix Released
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last two
> months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to track
> the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like to
> do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too) to
> transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions

There actually is a working version. But not for Android 5.+ There is something broken and I don't have the time now to fix it.

You can find the version at http://web.student.tuwien.ac.at/~e0927207/homebank-mobile/HomebankMobile-new.apk

Hi Wolfgang

Quiet a good word what you did.

Unfortunately, app is crashing when I push 'commit' or 'graph' so can't use it.

As far as I read you have no time to work on it so hope Maxime will improve it?

Cheers
Gregory

Le 26 mars 2015 18:51:25 Wolfgang Moser <email address hidden> a écrit :

> There actually is a working version. But not for Android 5.+ There is
> something broken and I don't have the time now to fix it.
>
> You can find the version at http://web.student.tuwien.ac.at/~e0927207
> /homebank-mobile/HomebankMobile-new.apk
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> Status in Financisto:
> New
> Status in HomeBank:
> Fix Released
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last two
> months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to track
> the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like to
> do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too) to
> transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions

Good news guys. I updated the Dropbox SDK and some other stuff. The app should now be working again (even / at least for android 5). You can find it at

http://web.student.tuwien.ac.at/~e0927207/homebank-mobile/HomebankMobile-2015-04-18.apk

Hi Wolfgang

I still have the crash issues when opening charts or trying to commit. Any
idea from where this couldn't come from?

Thanks
Gregory

Le 18 avril 2015 22:30:43 Wolfgang Moser <email address hidden> a écrit :

> Good news guys. I updated the Dropbox SDK and some other stuff. The app
> should now be working again (even / at least for android 5). You can
> find it at
>
> http://web.student.tuwien.ac.at/~e0927207/homebank-
> mobile/HomebankMobile-2015-04-18.apk
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android Client
>
> Status in Financisto:
> New
> Status in HomeBank:
> Fix Released
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last two
> months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to track
> the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like to
> do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too) to
> transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions

Maxime DOYEN (mdoyen) on 2015-10-10
Changed in homebank:
status: Fix Released → Triaged

Hi.

Is the project dead ?

Jorge (vallejo223) wrote :

I ask the same than Fabien on the project page:

https://launchpad.net/homebank-android

Hello Wolfgang,

I am trying to download the latest apk as mentioned here https://bugs.launchpad.net/homebank/+bug/661166/comments/82 but it seems that it is not working.

Could you help me with this?

Thank you!

Hello Miguel,

The project seems to be dead, the maintainer doesn't answer to questions. Since the app is certainly not currently supported by some Android versions, I'm looking for contributors for a new app.

See the discussion here : https://answers.launchpad.net/homebank-android/+question/280892

Also, my repository for the project is already created, here's the link : https://github.com/fabienduhamel/HomeBankMobile

If you want to contribute (developing or testing), join me. I will start the project as soon as I got a small community.

Wolfgang Moser (lebenlechzer) wrote :

Hey guys! Sorry for the long wait.

Since I'm quite busy and the app usually "breaks" with each Android version update, I can't provide new versions right now.
I'm doing my master thesis right now which should be finished in about 2 months. Then I will be able to contribute again.

Good to hear that people want to contribute. I can provide the "newest" version of the code. But it would be great if Fabien could start a new app. Parts of my app can definitely go into the new one. I'm willing to contribute!

Hi, nice to meet you :)

The question now is "Should I start a new app ?". Browsing the code in the near future should give me some answers. My goal is to provide a stable code with best standards, tested and designed to be easy to read (in order to contribute easily). I'll give my feedback soon.

Hi,

I just wanted to re-state my encouragement for any contributor that takes HombeBank to Android, that would be great.

Is there anyone that could link the HomebankMobile-2015-04-18.apk file? It seems that the links above are not working any more.

Again, kudos for this piece of software.

Thanks!

Maxime DOYEN (mdoyen) wrote :

Hello,

@Wolfgang: is the code on bazaar up to date ?
https://code.launchpad.net/homebank-android

I would like to take a look and contribute as well

@ALL: please don't start to open git everywhere, use launchpad, bazaar and the dedicated and official project I have created:
https://launchpad.net/homebank-android

Thx.

Wolfgang Moser (lebenlechzer) wrote :

Hey guys!

@Maxime: if you mean "newest available version" by "up to date", then I guess yes. But I haven't adapted to any Android version since I think 4.1 or 5.0. I will have a look and check if it's up to date with the code I still have a locally.

I just messaged Fabien and I'm willing to contribute too because my studies are finally over and I have some spare time to code. Anyway, I suggest starting from scratch and reuse pieces of my code if possible.

Hi there, long time I've didn't see a post here :)

I was too busy to start a new app from scratch by myself as I am currently more a PHP dev than an Android dev. By the way, it was hard to invest time in both personal devs and Homebank Mobile. But this time, we are at least 3 to contribute. This is a great boost.

I looked for alternatives and there is no one except GnuCash, but AFAIK the maintainers do not want to focus on Desktop/Mobile synchronization.

In many situations, the app would be such greater than the desktop version. For that, I didn't lose motivation. Time to have a common vision of the project :)

OpenID (openidlogin) wrote :

is there any android "homebank" to install? :)

Hubert Ray (hray) wrote :

Hey, I gave a look to the android code, and got some inspiration.
I felt the need for an android version too, so I looked at the code and made a Homebank compatible app.

My personal need was to be able to check the status of my monthly budget (so I know if I can spend money or not). So my app does just this : displays budget for the month. It reads a homebank file (.xhb) from SD card or Dropbox.

I know it's very far from something more complete, I prefer to work that way : small incremental changes. So if I give up along the way (like so many others, see above). There's something working at least.

So know what I'd like to do is :
- discuss ways to name distribute the application :
  - can reuse Homebank's icon ?
  - can reuse Homebank's name ?
- Where should I host the code ? I've seen bazaar mentionned above, but since it's not a complete port of Homebank, I guess I shouldn't replace it.
- get feedback from users: (see attached APK if you want to test)
- get feedback from devs : (when the code is made public somewhere)

Changed in homebank:
status: Triaged → In Progress
Maxime DOYEN (mdoyen) on 2017-08-08
summary: - wish: Android Client
+ wish: Android App

Thank you for your response.

I can learn too if needed. I agree with you about the Android app. I have
already worked on the structure of homebank file. This is XML so it ils
easy to import in a database in Android app.

I will try to write something about the structure of data and after we will
be able to discuss about the Android app structure and organisation to
devellop.

Read you soon

Makanien

PS: i am french i am not but you too, aren't you?

Le 8 août 2017 21:45, "Maxime Doyen" <email address hidden> a écrit :

> ** Summary changed:
>
> - wish: Android Client
> + wish: Android App
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1190803).
> https://bugs.launchpad.net/bugs/661166
>
> Title:
> wish: Android App
>
> Status in Financisto:
> New
> Status in HomeBank:
> In Progress
>
> Bug description:
> Hi,
>
> I just started using HomeBank after evaluating multiple finance programs.
> One thing I noticed after inserting all my transactions from the last
> two months is that if I don't track my expenses regularly I can't really
> remember where I left some of my money.
>
> So I thought it would be nice to take homebank with you to be able to
> track the expenses as soon as you spend the money.
> I'm currently learning how to write Android applications so I would like
> to do the mobile part.
>
> I noticed that HomeBank has a feature to export and import csv-files.
> I thought about using the dropbox-api (maby the ubuntuone-api later too)
> to transfer the data from the Android client.
> This data should be encrypted with a passphrase.
>
> The HomeBank application should have the option to uncrypt and import
> from this file and automatically map the transactions to the accounts.
> This could be done by providing the Name (Or ID if there is any) of
> the account in the csv-file.
>
> What do you think about this idea?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/financisto/+bug/661166/+subscriptions
>

Hey, I completly forgot to post here. I published the app on the store :
https://play.google.com/store/apps/details?id=monsieur_h.budget.homebank

I couldn't call it homebank, because the term 'homebank' seems to be copyrighted in some countries.

For now it only displays budget. I had a bad time with the dropbox API about writing files, so I decided not to implement any modifications of the .xhb file yet.

Any contribution is welcome here :
https://github.com/monsieurh/homebank_android

Maxime DOYEN (mdoyen) on 2018-01-07
summary: - wish: Android App
+ [3rd party] Android App
Changed in homebank:
status: In Progress → Triaged
Rafael P. (rafael-p) wrote :

Any new development on the Android App?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers